#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	string t;
	cin>>t;
	bool palindrom = true;
	int duzina=t.length();
	for(int i=0; i<duzina/2; i++){
		if (t[i]==t[duzina-1-i]){
			palindrom=palindrom && true;
		}
		else
		{
			palindrom=palindrom && false;		
		}
		
	}
	if(palindrom){
		cout<<1;
	}
	else{
		int prvi = t.find_first_of("b");
		int poslednji = t.find_last_of("b");
		int razmak = abs(duzina - 1 - prvi - poslednji);
		cout<< razmak + 1;
	}
}